import Qt 4.7

Rectangle 
{
	width: 180; height: 200; color: "green"
	
	// Define a delegate component.  A delegate will be instantiated for each visible item in the list.
	Component 
	{
		id: delegate
		Item 
		{
			id: wrapper
			width: 500; height: 4 * 20
			Column 
			{
				x: 5; y: 5
				Text {text: '<b>Name:</b> ' + productName}
				Text {text: '<b>Max cost, rub:</b> ' + productMaxCost_rub}
				Text {text: '<b>Weight, gr:</b> ' + productWeight_gr}
				Text {text: '<b>Comment:</b> ' + comment}
			}
		}
	}
	
	// Define a highlight component. Just one of these will be instantiated by each ListView and placed behind the current item. 
	Component 
	{ 
		id: highlight 
		Rectangle 
		{
			color: "lightsteelblue"; radius: 5; y: productList.currentItem.y
			Behavior on y 
			{
				SpringAnimation {spring: 2; damping: 0.2; epsilon: 0.005}
			}
		}
	}
	
	// The actual list 
	ListView
	{
		id: productList
		width: parent.width; height: parent.height 
		model: DataModel{} 		// Refers to DataModel.qml
		delegate: delegate		// Refers to the delegate component
		highlight: highlight 	// Refers to the highlight component
		focus: true 
		Keys.onDownPressed: incrementCurrentIndex()
		Keys.onUpPressed: decrementCurrentIndex()
	} 
}
